临床结果
POST /clinical-images
使用 YOLO 深度学习对象检测检测牙科照片中的临床发现 - 腐烂、正畸指标、修复体、牙周状况和托槽。

图像类型: 口腔内照片(右、前、左、上、下)
标签: Detection Intra-oral Photos AI
请求参数
| 范围 | 类型 | 必需的 | 描述 |
|---|---|---|---|
PatientID | 细绳 | None | 唯一的患者标识符 |
TimeStamp | 细绳 | None | 分析会话时间戳 |
ImageName | 细绳 | None | 图像的完整 URL |
请求示例
curl -X POST \
https://api.annie-insights.com/api/v2/clinical-images \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{
"PatientID": "P-001",
"TimeStamp": "2026-05-24",
"ImageName": "https://example.com/image.jpg"
}'
响应样本
{
"Version": "2024.1.0",
"PatientID": "P-001",
"TimeStamp": "2026-05-24",
"ImageName": "a1b2c3d4_clinical.jpg",
"ImageContents": {
"decay": 2,
"restoration": 1
},
"Results": {
"decay": [
{"ClassName": "decay", "TopLeft": [120, 80], "BottomRight": [200, 160]},
{"ClassName": "decay", "TopLeft": [450, 200], "BottomRight": [510, 260]}
],
"restoration": [
{"ClassName": "restoration", "TopLeft": [300, 90], "BottomRight": [380, 170]}
]
},
"OutputImageUrl": "https://annieapistorage.blob.core.windows.net/api-output-images/clinical-images/...?se=...&sp=r&sv=...&sr=b&sig=..."
}
提示
OutputImageUrl 是有时间限制的 Azure Blob SAS URL,有效期为 72 小时。有关详细信息,请参阅Output Images。